# Generated by Django 4.2.1 on 2023-05-09 10:27

import django.core.serializers.json
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Account",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("username", models.CharField(max_length=100)),
                ("access_token", models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name="Client",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(default="pytooterapp", max_length=100)),
                ("remote_id", models.CharField(max_length=100)),
                ("secret", models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name="Server",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("api_base_url", models.URLField(unique=True, verbose_name="API Base URL")),
                (
                    "client",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="server",
                        to="locnus.client",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Status",
            fields=[
                ("id", models.BigIntegerField(primary_key=True, serialize=False)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("data", models.JSONField(encoder=django.core.serializers.json.DjangoJSONEncoder)),
            ],
        ),
        migrations.CreateModel(
            name="Timeline",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("tag", models.IntegerField(choices=[(1, "Public"), (2, "Local")])),
                (
                    "account",
                    models.ForeignKey(
                        blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to="locnus.account"
                    ),
                ),
                ("server", models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to="locnus.server")),
                (
                    "status",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="timelines", to="locnus.status"
                    ),
                ),
            ],
        ),
        migrations.AddField(
            model_name="status",
            name="timeline",
            field=models.ManyToManyField(through="locnus.Timeline", to="locnus.server"),
        ),
        migrations.AddField(
            model_name="account",
            name="server",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, related_name="accounts", to="locnus.server"
            ),
        ),
    ]
